Bug 250904 - Review Request: fuse-python - Python bindings for FUSE
Review Request: fuse-python - Python bindings for FUSE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-04 17:50 EDT by Peter Lemenkov
Modified: 2009-10-06 13:46 EDT (History)
7 users (show)

See Also:
Fixed In Version: 0.2-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 16:07:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ondrejj: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2007-08-04 17:50:52 EDT
Spec URL: http://peter.fedorapeople.org/fuse-python.spec
SRPM URL: http://peter.fedorapeople.org/fuse-python-0.2-1.fc7.src.rpm

Description: This package provides python bindings for FUSE. FUSE makes it possible to implement a filesystem in a userspace program.
Comment 1 Peter Lemenkov 2007-08-05 05:11:03 EDT
BTW what correct naming should be for this package - fuse-python (as in
upstream) or python-fuse?
Comment 2 Jan ONDREJ 2007-09-06 04:30:56 EDT
rpmlint says:
W: fuse-python invalid-license GPL
W: fuse-python mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 6)

Please change license to GPLv2 or GPLv2+ .
Do not mix tabs and spaces in spec file.

I think python-fuse name is better, but fuse-python is not bad too.

%{python_sitearch}/fuseparts directory is not owned by packages. Please add an
%dir %{python_sitearch}/fuseparts into spec file.

Add these files to documentation:
  examples + it's content
  README.1st
  maybe README.historic too
  and maybe PKG-INFO too, which contains many interesting information
Comment 3 Jan ONDREJ 2007-09-06 06:40:34 EDT
There are more rpmlint errors on binary packages. They have been fixed in my new
packages:

* Thu Sep  6 2007 Jan ONDREJ (SAL) <ondrejj@salstar.sk> 0.2-2
- changed permissions for sitearch files to 644
- added fuseparts dir to package
- added egg-info directory with it's content
- license changed to LGPLv2, according to documentation and sources
- added provides for python-fuse (remove it on rename)

http://www.salstar.sk/pub/fedora/SPECS/fuse-python.spec
http://www.salstar.sk/pub/fedora/SRPMS/7/fuse-python-0.2-2.fc7.src.rpm

May be it needs to be renamed to python-fuse, but I don't know it it needs a new
Review Request ticket or not.
Comment 4 Till Maas 2007-09-06 08:37:15 EDT
You do not use the python_sitelib and pyver macros, therefore you should not
define them.

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from
distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}
Comment 5 Jan ONDREJ 2007-09-09 10:56:58 EDT
Done.

* Sun Sep  9 2007 Jan ONDREJ (SAL) <ondrejj@salstar.sk> 0.2-3
- removed non used macros
- Changelog file converted to UTF-8

http://www.salstar.sk/pub/fedora/SPECS/fuse-python.spec
http://www.salstar.sk/pub/fedora/SRPMS/7/fuse-python-0.2-3.fc7.src.rpm
Comment 6 Adam Goode 2007-10-04 22:32:51 EDT
Hi,

Can you follow the install procedure given here:
http://fedoraproject.org/wiki/Packaging/Python/Eggs#head-3e899702195642d7d12483e0d73451b70e8d3e9c

This will allow the egg information to work in Fedora 8 and beyond.
Comment 7 Peter Lemenkov 2007-10-05 02:06:01 EDT
Done.

http://peter.fedorapeople.org/fuse-python.spec
http://peter.fedorapeople.org/fuse-python-0.2-4.fc7.src.rpm

I've got some things to discuss:

* I changed %files section according to the  Packaging/Python/Eggs from Jan's
variant when all files to package were explicitly named to more simplified form
%{python_sitearch}/* - which variant is preferrable? Personally I like Jan's
idea about explicit naming of all files but in the above example they use short
version: %{python_sitearch}/*

* What macro should be used? python_sitearch or python_sitelib? What are
differences between these macros and which is prefferable? 
Comment 8 Jan ONDREJ 2007-10-05 02:20:27 EDT
OK, shortest form is OK.

python_sitearch macro is for architecture dependent files. Your package contains
an *.so module for python, which is architecture dependent, this means, that it
is correctly packaged into python_sitearch.

Please use %{__python} macro.

BuildRequires:  python-devel can be dropped, because it is required by setuptools.
Tested build on fedora-devel and fedora7.
Comment 9 Peter Lemenkov 2007-10-05 02:39:29 EDT
Ok, cleaned a bit.
About macros - I decided not to use them at all.

http://peter.fedorapeople.org/fuse-python.spec
http://peter.fedorapeople.org/fuse-python-0.2-5.fc7.src.rpm

Comment 10 Jan ONDREJ 2007-10-09 02:01:40 EDT
OK, package APPROVED.
Comment 11 Peter Lemenkov 2007-10-09 04:20:13 EDT
New Package CVS Request
=======================
Package Name: fuse-python
Short Description: Python bindings for FUSE - filesystem in userspace
Owners: peter
Branches: FC-6 F-7
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2007-10-09 11:46:14 EDT
cvs done.
Comment 13 Fedora Update System 2007-10-11 18:55:33 EDT
fuse-python-0.2-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fuse-python'
Comment 14 Fedora Update System 2007-10-12 16:06:58 EDT
fuse-python-0.2-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Peter Lemenkov 2009-10-05 10:45:11 EDT
Package Change Request
======================
Package Name: fuse-python
New Branches: EL-5
Owners: peter
Comment 16 Kevin Fenzi 2009-10-06 13:46:10 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.